//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

varying lowp vec2 uv1Varying;
varying lowp vec2 uv2Varying;
varying lowp float v_fog;

uniform sampler2D diffuse;
uniform sampler2D lightmap;
uniform lowp float lightmap_scale;

void main()
{
    lowp vec3 fogColor = vec3(1.0, 0.92, 0.8)*1.1;
    gl_FragColor = texture2D(diffuse, uv1Varying);
    gl_FragColor.w = 1.0;
    
//    gl_FragColor.xyz = gl_FragColor.xyz * pow(gl_FragColor.xyz, vec3(1.0/3.8));
    
    highp vec3 decal = texture2D(lightmap, uv2Varying).xyz;
    decal = decal*lightmap_scale;// * pow(decal, vec3(1.0/2.2));
    gl_FragColor.xyz = gl_FragColor.xyz * decal.xyz;
    
    gl_FragColor.xyz = gl_FragColor.xyz * v_fog + fogColor * (1.0 - v_fog);
}
