//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

uniform sampler2D texture;
uniform SHADOW_SAMPLER shadowMap;

varying highp vec2 v_uv1;
varying lowp float v_fog;
varying lowp float v_diffuse;
varying highp vec4 shadowCoord;

void main()
{
 
    gl_FragColor = texture2D(texture, v_uv1);
    lowp float shadowVal = CALC_SHADOW_VAL(shadowMap, shadowCoord);
    
    gl_FragColor.xyz = FUNC_LIGHTING_SHADOW(gl_FragColor, vec4(1.0), v_diffuse*shadowVal);
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
}
