//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec3 normal;

varying vec2 v_uv1;
varying lowp float v_fog;
varying lowp float v_diffuse;
varying highp vec4 shadowCoord;

uniform mat4 mMatrix;
uniform mat4 vpMatrix;
uniform mat4 mvpMatrixShadow;

void main()
{
    gl_Position = mMatrix * vpMatrix * position;
    v_uv1 = uv1;
    
    vec3 lightDirection = normalize(vec3(0.1, 1.0, -0.1));
    float nDotVP = max(0.0, dot(normalize(normal), normalize(lightDirection)));
    
    v_fog = STD_FOG(1.0);
    v_diffuse = nDotVP;
    shadowCoord = (mvpMatrixShadow * mMatrix * position);
}
