//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

uniform sampler2D texture;
uniform sampler2D decal;
uniform sampler2D shadow;
uniform SHADOW_SAMPLER shadowMap;

varying highp vec2 frag_uv1;
varying highp vec2 frag_uv2;
varying lowp float v_fog;
varying highp vec4 shadowCoord;

void main()
{
    lowp vec3 fogColor = vec3(1.0, 0.92, 0.8)*1.1;
    lowp vec4 base = texture2D(texture, frag_uv1);
    lowp vec4 layer = texture2D(decal, frag_uv2);
    lowp vec4 shadow_color = texture2D(shadow, frag_uv2);
    lowp float shadowVal = CALC_SHADOW_VAL(shadowMap, shadowCoord);
    gl_FragColor = base;
    lowp float light = shadowVal;

    
    gl_FragColor.xyz = layer.xyz*layer.w + gl_FragColor.xyz*(1.0-layer.w);
    gl_FragColor.xyz = FUNC_LIGHTING_SHADOW(gl_FragColor, shadow_color, shadowVal);
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
    

    
}
