//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec2 uv2;

varying vec2 frag_uv1;
varying vec2 frag_uv2;
varying float v_fog;
varying highp vec4 shadowCoord;

uniform mat4 mMatrix;
uniform mat4 vpMatrix;
uniform mat4 mvpMatrixShadow;

void main()
{
    gl_Position = vpMatrix * mMatrix * position;
    frag_uv1 = uv1;
    frag_uv2 = uv2;
    
    v_fog = STD_FOG(1.0);
    
    shadowCoord = (mvpMatrixShadow * mMatrix * position);
}
