//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec2 uv2;

varying vec2 frag_uv1;
varying float v_fog;

uniform mat4 mvpMatrix;
uniform float fogMult;
uniform int uvChan;

void main()
{
    gl_Position = mvpMatrix * position;
    frag_uv1 = uvChan > 0 ? uv2 : uv1;
    
    float start = 25.0;
    float end = 150.0;
    v_fog = 1.0 - min(fogMult, max(0.0, (gl_Position.w - start)/(end-start)));
}
