//
//  road.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

uniform sampler2D texture;
uniform sampler2D shadow;
uniform SHADOW_SAMPLER shadowMap;

varying lowp float v_fog;
varying highp vec2 frag_uv1;
varying highp vec2 frag_uv2;
varying highp vec4 shadowCoord;

// how to make a "shadowmap" tools/imagemagick/convert tunnel_ent_road_shadow.png -channel RGB -separate tunnel_ent_road_ambient.png -channel RGBA -combine  -type GrayscaleMatte out.png

void main()
{
    gl_FragColor = texture2D(texture, frag_uv1);
    mediump vec4 shadow_color = texture2D(shadow, frag_uv2);
    lowp float shadowVal = CALC_SHADOW_VAL(shadowMap, shadowCoord);
    
    gl_FragColor.xyz = FUNC_LIGHTING_SHADOW(gl_FragColor, shadow_color, shadowVal);
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
    
    
}
