//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec2 uv2;

varying lowp float v_fog;
varying highp vec2 frag_uv1;
varying highp vec2 frag_uv2;
varying highp vec4 shadowCoord;

uniform mat4 mMatrix;
uniform mat4 vpMatrix;
uniform mat3 normalMatrix;
uniform mat4 viewInverse;
uniform float fogMult;

uniform mat4 mvpMatrixShadow;

void main()
{

    gl_Position = vpMatrix * mMatrix * position;
        
    v_fog = STD_FOG(fogMult);
    frag_uv1 = uv1;
    frag_uv2 = uv2;
    shadowCoord = (mvpMatrixShadow * mMatrix * position);

}
