//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec3 normal;
attribute vec4 binormal;
attribute vec2 bone;

varying vec2 frag_uv1;
varying lowp float v_fog;
VARYING_MAT3(tangentSpace);

uniform mat4 vpMatrix;
uniform mat4 viewInverse;

uniform mat4 mMatrix;
uniform mat3 normalMatrix;

UNIFORM_MAT4_ARRAY(mMatrices, 10);
UNIFORM_MAT3_ARRAY(minvMatrices, 10);

uniform lowp float fog_mult;

//current uniform total: 85 vectors, 42 remain
// cost of 4 more bones 16 + 12 = 28

void main()
{
    
    int b = int(bone.x)-1;
    
    vec4 vert_pos = MAKE_MAT4_FROM_ARRAY(mMatrices, b) * position;
    vec4 world_position = mMatrix * vert_pos;
    gl_Position = vpMatrix * world_position;
    
    frag_uv1 = uv1;
    
    vec3 n = normalize(normal);
    vec3 t = normalize(binormal.xyz);
    vec3 bt = -normalize(cross(n, t))*binormal.w;
    
    
    mat3 inv_bone_mat = MAKE_MAT3_FROM_ARRAY(minvMatrices, b);
    
    mat3 tsp = mat3(t.x, t.y, t.z,
                    bt.x, bt.y, bt.z,
                    n.x, n.y, n.z);
    
    
    tsp = normalMatrix * inv_bone_mat * tsp;
    STORE_MAT3_VARYING(tangentSpace,
                       tsp[0][0], tsp[0][1], tsp[0][2],
                       tsp[1][0], tsp[1][1], tsp[1][2],
                       tsp[2][0], tsp[2][1], tsp[2][2])
    
    v_fog = STD_FOG(fog_mult);
    
}
