//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec2 uv2;
attribute vec2 uv3;

varying vec2 frag_uv1;
varying vec2 frag_uv2;
varying float v_light;
varying float v_fog;

uniform mat4 mvpMatrix;
uniform float view_distance;
uniform lowp float fogMult;

void main()
{
    gl_Position = mvpMatrix * position;
    frag_uv1 = uv1;
    frag_uv2 = uv2;
    
    v_light = (uv3.x < view_distance) ? 1.0*(1.0-uv3.y) : 0.0;

    v_fog = STD_FOG(fogMult);
}
