//
//  road.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//


uniform sampler2D texture;
uniform SHADOW_SAMPLER shadowmap;
uniform sampler2D lightmap;

uniform lowp vec2 tunnelParams;

varying highp vec2 frag_uv1;
varying lowp float v_light;
varying lowp float v_fog;
varying highp vec4 v_shadow_coord;

void main()
{
    gl_FragColor = texture2D(texture, frag_uv1);
    lowp float shadow_val = CALC_SHADOW_VAL(shadowmap, v_shadow_coord);
    
    highp vec2 lm_uv = frag_uv1;
    lm_uv.y -= tunnelParams.x;
    lm_uv.y *= tunnelParams.y;
    lowp vec4 lightmapSample = texture2D(lightmap, lm_uv);
    

    gl_FragColor.xyz = FUNC_LIGHTING_SHADOW(gl_FragColor, vec4(1.0, 1.0, 1.0, v_light*lightmapSample.x*shadow_val), shadow_val*v_light*lightmapSample.x);
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
    
    
}
