//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec3 normal;
attribute vec2 metadata; // distance, edge 1.0=edge

varying highp vec2 frag_uv1;
varying lowp float v_light;
varying lowp float v_fog;
varying vec4 v_shadow_coord;

uniform mat4 mMatrix;
uniform mat4 vpMatrix;
uniform mat3 normalMatrix;
uniform mat4 viewInverse;
uniform mat4 shadow_projection;
uniform lowp float fogMult;
uniform float view_distance;

void main()
{
    vec4 world_position = mMatrix * position;
    gl_Position = vpMatrix * world_position;
        
    v_fog = STD_FOG(fogMult);
    frag_uv1 = uv1;
    v_light = (metadata.x < view_distance) ? (1.0-metadata.y) : 0.0;
    v_shadow_coord = (shadow_projection * world_position);

}
