//
//  Shader.vsh
//  ios
//
//  Created by Kevin Pazirandeh on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec3 normal;

varying lowp vec4 v_color;

uniform mat4 mMatrix;
uniform mat4 vpMatrix;
uniform mat4 viewInverse;
uniform mat3 normalMatrix;
uniform vec4 color;

void main()
{
    vec4 worldPosition = mMatrix * position;
    gl_Position = vpMatrix * worldPosition;

    vec3 normalDirection = normalize(normalMatrix * normal);
    vec3 viewDirection = normalize(vec3(viewInverse * vec4(0.0, 0.0, 0.0, 1.0) - mMatrix * position));
    
    float nDotVP = max(0.0, dot(normalDirection, normalize(viewDirection)));
    v_color = color;
    v_color.a = v_color.a*0.5 + 0.7*pow(1.0 - nDotVP, 4.0);

}
