//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//



uniform sampler2D diffuse;
uniform sampler2D lightmap;
uniform sampler2D shadowmap;
uniform highp float lightmap_scale;

varying highp vec2 uv1Varying;
varying highp vec2 uv2Varying;
varying lowp float v_fog;
varying highp vec4 v_shadow_coord;

void main()
{
    gl_FragColor = texture2D(diffuse, uv1Varying);
    highp vec3 lm = texture2D(lightmap, uv2Varying).xyz;
    lowp float shadowVal = CALC_SHADOW_VAL(shadowmap, v_shadow_coord);

    highp float shadowValInv = 1.0-shadowVal;
    gl_FragColor.xyz = gl_FragColor.xyz * ((1.0-shadowVal)*0.7 + lm*lightmap_scale * shadowVal);
    
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
}
