//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//


varying lowp vec2 frag_uv1;
varying lowp vec4 shadowCoord;
varying lowp vec3 v_normal;

uniform sampler2D texture;
uniform sampler2D normalMap;
uniform sampler2D shadowMap;

uniform lowp float ambient_mult;
uniform lowp float diffuse_mult;


void main()
{

    mediump vec3 lightColor = vec3(1.0, 0.93, 0.89);
    mediump vec4 result = texture2D(texture, frag_uv1);
    lowp float shadowVal = CALC_SHADOW_VAL(shadowMap, shadowCoord);
    gl_FragColor = result;
    
    mediump vec3 lightDirection = normalize(vec3(0.1, 1.0, 0.2));
    mediump float nDotVP = max(0.0, dot(v_normal, normalize(lightDirection)));
    
    gl_FragColor.xyz = NORMAL_MAP_LIGHTING_LOW(lightColor);
    gl_FragColor.w = 1.0;
    
    

}
