//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec3 normal;
attribute vec4 binormal;

varying lowp vec2 frag_uv1;
varying lowp vec4 shadowCoord;
varying lowp vec3 v_normal;

uniform mat4 mMatrix;
uniform mat4 vpMatrix;
uniform mat3 normalMatrix;
uniform mat4 shadowProjection;


void main()
{
    v_normal = normalize(normalMatrix * normal);
    
    frag_uv1 = uv1;
    
    vec4 worldPosition = mMatrix * position;
    gl_Position = vpMatrix * worldPosition;


    shadowCoord = (shadowProjection * worldPosition);
    
}
