//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//


varying lowp vec2 frag_uv1;
varying lowp vec3 v_normal;
varying lowp vec4 shadowCoord;

uniform sampler2D texture;
uniform sampler2D normalMap;
uniform sampler2D shadowMap;

uniform highp mat4 viewInverse;
uniform highp mat4 mMatrix;
uniform highp mat4 vpMatrix;
uniform highp mat3 normalMatrix;

uniform lowp float ambient_mult;
uniform lowp float diffuse_mult;


void main()
{

    mediump vec3 lightColor = vec3(0.95, 0.95, 1.0);
    mediump vec4 result = texture2D(texture, frag_uv1);
    lowp float shadowVal = 1.0;//
    gl_FragColor = result;
    
    lowp vec3 lightDirection = normalize(vec3(0.1, 1.0, 0.2));
    
    lowp float nDotVP = max(0.0, dot(v_normal, normalize(lightDirection)));

    
    gl_FragColor.xyz = NORMAL_MAP_LIGHTING_LOW(lightColor);
    gl_FragColor.w = 1.0;
    
    

}
