//
//  Shader.vsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec2 uv1;
attribute vec3 normal;
attribute vec4 binormal;
attribute vec2 bone;

varying vec2 frag_uv1;
varying lowp float v_fog;
varying lowp vec3 v_normal;
varying lowp vec4 v_shadow_coord;

uniform mat4 vpMatrix;
uniform mat4 viewInverse;

uniform mat4 mMatrix;
uniform mat3 normalMatrix;

uniform mat4 shadow_projection;

UNIFORM_MAT4_ARRAY(mMatrices, 10);
UNIFORM_MAT3_ARRAY(minvMatrices, 10);

uniform lowp float fog_mult;

//current uniform total: 85 vectors, 42 remain
// cost of 4 more bones 16 + 12 = 28

void main()
{
    
    int b = int(bone.x)-1;
    
    v_normal = normalize(normalMatrix * MAKE_MAT3_FROM_ARRAY(minvMatrices, b) * normal);
    
    vec4 world_position = mMatrix * MAKE_MAT4_FROM_ARRAY(mMatrices, b) * position;
    gl_Position = vpMatrix * world_position;
    
    frag_uv1 = uv1;
        
    v_fog = STD_FOG(fog_mult);
    v_shadow_coord = (shadow_projection * world_position);
    
}
