//
//  Shader.fsh
//  ios
//
//  Created by Adam Berger on 1/28/13.
//  Copyright (c) 2013 Auxbrain, Inc. All rights reserved.
//


varying mediump vec2 frag_uv1;
varying lowp vec3 v_normal;
varying lowp float v_fog;

uniform sampler2D diffuse;
uniform sampler2D normal_map;
uniform sampler2D color_modulation;

uniform lowp vec3 light_dir;
uniform lowp vec3 color;
uniform lowp float diffuse_mult;
uniform lowp float extra_diffuse_mult;
uniform lowp float ambient_mult;

void main()
{

    lowp float color_mod = texture2D(color_modulation, frag_uv1).x;
    gl_FragColor = texture2D(diffuse, frag_uv1);
    
    gl_FragColor.xyz = gl_FragColor.xyz*(1.0-color_mod) + gl_FragColor.xyz*(color * color_mod);

    
    lowp vec3 lightDirection = normalize(light_dir);
    highp float nDotVP = max(0.0, dot(v_normal, normalize(lightDirection)));
    
    gl_FragColor = gl_FragColor*(nDotVP*1.5*diffuse_mult + 0.5*ambient_mult) + 0.6*gl_FragColor*nDotVP*extra_diffuse_mult;
    ADD_FOG(v_fog, STANDARD_FOG_COLOR);
}
